<?php
/*
Plugin Name: Admin Tools
Version: auto
Description: Do some admin task from the public pages
Plugin URI: auto
Author: Mistic
Author URI: http://www.strangeplanet.fr
*/

defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');


// +-----------------------------------------------------------------------+
// | Plugin constants                                               |
// +-----------------------------------------------------------------------+
define('ADMINTOOLS_ID',       basename(dirname(__FILE__)));
define('ADMINTOOLS_PATH' ,    './plugins/' . ADMINTOOLS_ID . '/');
// define('ADMINTOOLS_ADMIN',    get_root_url() . 'admin.php?page=plugin-' . ADMINTOOLS_ID);
define('ADMINTOOLS_VERSION',  'auto');


// +-----------------------------------------------------------------------+
// | Event handlers                                                    |
// +-----------------------------------------------------------------------+
include_once(ADMINTOOLS_PATH . 'include/events.inc.php');
include_once(ADMINTOOLS_PATH . 'include/MultiView.class.php');

global $MultiView;
$MultiView = new MultiView();

add_event_handler('init', 'admintools_init');

add_event_handler('user_init', array(&$MultiView, 'user_init'));
add_event_handler('init', array(&$MultiView, 'init'));

add_event_handler('ws_add_methods', array('MultiView', 'register_ws'));
add_event_handler('delete_user', array('MultiView', 'invalidate_cache'));
add_event_handler('register_user', array('MultiView', 'invalidate_cache'));

if (!defined('IN_ADMIN'))
{
  add_event_handler('loc_after_page_header', 'admintools_add_public_controller');
  add_event_handler('loc_begin_picture', 'admintools_save_picture');
  add_event_handler('loc_begin_index', 'admintools_save_category');
}


// +-----------------------------------------------------------------------+
// | Plugin initialization                                                 |
// +-----------------------------------------------------------------------+
function admintools_init()
{
  global $MultiView;

  load_language('plugin.lang', ADMINTOOLS_PATH);

  // global $conf;

  // include_once(ADMINTOOLS_PATH . 'maintain.inc.php');
  // $maintain = new AdminTools_maintain(ADMINTOOLS_ID);
  // $maintain->autoUpdate(ADMINTOOLS_VERSION, 'install');

  // $conf['AdminTools'] = unserialize($conf['AdminTools']);
}
